This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966370 - The macro %{archname} is not expanded for arm7
The macro %{archname} is not expanded for arm7
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
18
arm7 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 03:44 EDT by oleg.makarikhin
Modified: 2013-08-20 08:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 07:24:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oleg.makarikhin 2013-05-23 03:44:32 EDT
Description of problem:
Some macro is not expanded (googletranslate:is not dereferenced) during the building of the package.

Version-Release number of selected component (if applicable):

rpm -q --info redhat-lsb-core  
Name        : redhat-lsb-core
Version     : 4.1
Release     : 10.fc18
Architecture: armv7hl

How reproducible:


Steps to Reproduce:
install redhat-lsb-core package and query list of files.

rpm -ql redhat-lsb-core | grep \%

Actual results:

# rpm -ql redhat-lsb-core | grep \%
/etc/lsb-release.d/core-4.1-%{archname}
/lib/%{lsbldso}.3
/usr/share/lsb/4.1/modules/core/core-4.1-%{archname}
/usr/share/lsb/4.1/modules/core/security-4.1-%{archname}
/usr/share/lsb/4.1/submodules/core-4.1-%{archname}

Also symlink /lib/%{lsbldso}.3  points to a nonexistent file %{ldso}

Expected results:
There should be no files with %-symbol. But instead of this file:
/etc/lsb-release.d/core-4.1-%{archname}
should be
/etc/lsb-release.d/core-4.1-armv7hl

Additional info:
As the platform using SoC Hackberry A10.
Comment 1 Ondrej Vasik 2013-08-08 09:00:33 EDT
I believe this architecture is wrong and unsupported by the redhat-lsb package.
From arm architectures, we support just %{arm} (which expands to arm) and aarch64 - which expands to aarch64.

As the package is ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x %{arm} aarch64 , I just wonder how you made it working on armv7hl architecture. If you (or someone adjusting the spec for SoC Hackberry A10) just added the architecture, this is NOTABUG (as it needs more adjustments than that and I'm not going to adjust that myself). Could you please tell me what steps you did?
Comment 2 Ondrej Vasik 2013-08-12 07:24:01 EDT
As you can see in http://koji.fedoraproject.org/koji/rpminfo?rpmID=4316141 , macros get correctly expanded, when used on koji builders. Package is ExclusiveArch , so when the %{arm} is not defined, it should not build on armv7hl architecture.
Closing NOTABUG, feel free to reopen if you provide information what's wrong in the redhat-lsb package. So far it looks to me as you don't have defined %{arm} rpm macro (which is provided on Fedora20, where armv7hl became primary) and you commented out the ExclusiveArch line (or added armv7hl). Unfortunately, this is not expected to work.
Comment 3 oleg.makarikhin 2013-08-20 08:44:50 EDT
I saw these macros in spec from 4.1-15. Thank you.

Note You need to log in before you can comment on or make changes to this bug.